Package ghidra.app.decompiler.component.hover

# Class ReferenceDecompilerHover

java.lang.Object
ghidra.app.plugin.core.hover.AbstractHover
ghidra.app.plugin.core.hover.AbstractConfigurableHover
ghidra.app.plugin.core.hover.AbstractReferenceHover
ghidra.app.decompiler.component.hover.ReferenceDecompilerHover

All Implemented Interfaces:
  `DecompilerHoverService`, `HoverService`, `OptionsChangeListener`, `Disposable`

public class ReferenceDecompilerHover extends ghidra.app.plugin.core.hover.AbstractReferenceHover implements DecompilerHoverService

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.core.hover.AbstractConfigurableHover

  `options`

  ### Fields inherited from class ghidra.app.plugin.core.hover.AbstractHover

  `enabled, priority, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceDecompilerHover(PluginTool tool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDescription()`
  `JComponent`
  `getHoverComponent(Program program, ProgramLocation location, FieldLocation fieldLocation, Field field)`
  Returns a component to be shown in a popup window that is relevant to the given parameters.
  `protected String`
  `getName()`
  `protected String`
  `getOptionsCategory()`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractReferenceHover

  `componentHidden, componentShown, createExternalToolTipComponent, createOutOfMemoryToolTipComponent, dispose, getPanel, getPreviewLocation, getToolTip, initializeLazily, initializeOptions, programClosed, scroll, setOptions`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractConfigurableHover

  `optionsChanged`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractHover

  `createTooltipComponent, getPriority, hoverModeSelected, isValidTooltipContent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.services.HoverService

  `componentHidden, componentShown, getPriority, hoverModeSelected, scroll`

- ## Constructor Details

  - ### ReferenceDecompilerHover

    public ReferenceDecompilerHover(PluginTool tool)

- ## Method Details

  - ### getName

    protected String getName()
    Specified by:
      `getName` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getDescription

    protected String getDescription()
    Specified by:
      `getDescription` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getOptionsCategory

    protected String getOptionsCategory()
    Specified by:
      `getOptionsCategory` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getHoverComponent

    public JComponent getHoverComponent(Program program, ProgramLocation location, FieldLocation fieldLocation, Field field)
    Description copied from interface: `HoverService`
    Returns a component to be shown in a popup window that is relevant to the given parameters. Null is returned if there is no appropriate information to display.
    Specified by:
      `getHoverComponent` in interface `HoverService`
    Overrides:
      `getHoverComponent` in class `ghidra.app.plugin.core.hover.AbstractReferenceHover`
    Parameters:
      `program` - the program that is being hovered over.
      `location` - the program location where the mouse is hovering.
      `fieldLocation` - the precise mouse location within the field viewer
      `field` - the field over which the mouse is hovering
    Returns:
      The component to be shown for the given location information.